Skip to main content
GET
/
bank
/
{customer_id}
/
{bank_id}
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/cms/api/v1/bank/{customer_id}/{bank_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "id": "4e6f1b20-a73c-11ec-b909-0242ac120002",
    "customer_id": "550e8400-e29b-41d4-a716-446655440000",
    "account_number": "123456789012",
    "ifsc": "ABC123456",
    "account_name": "Sandbox Technologies Pvt Ltd",
    "vpa": "testing@upi",
    "bank_account_type": "ACCOUNT_DETAILS",
    "bank_account_status": "VERIFIED",
    "failure_reason": "null"
  }
}
API Status CodeResponseReason
400Customer not found or access deniedCustomer not found
400Customer not found or access deniedCustomer does not belong to the organization
400Bank not found or access deniedBank not found
400Bank not found or access deniedBank does not belong to the Customer
500Internal Server Error.Internal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

customer_id
string<uuid>
required

Customer's unique identifier

bank_id
string<uuid>
required

Bank account's unique identifier

Response

Bank account details fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object